# paint.h File Reference

`#include "magick/color.h"`
`#include "magick/draw.h"`

Go to the source code of this file.

## Functions

MagickExport Image * | OilPaintImage (const Image *, const double, ExceptionInfo *)
MagickExport MagickBooleanType | FloodfillPaintImage (Image *, const ChannelType, const DrawInfo *, const MagickPixelPacket *, const long, const long, const MagickBooleanType)
MagickExport MagickBooleanType | OpaquePaintImage (Image *, const MagickPixelPacket *, const MagickPixelPacket *, const MagickBooleanType)
MagickExport MagickBooleanType | OpaquePaintImageChannel (Image *, const ChannelType, const MagickPixelPacket *, const MagickPixelPacket *, const MagickBooleanType)
MagickExport MagickBooleanType | TransparentPaintImage (Image *, const MagickPixelPacket *, const Quantum, const MagickBooleanType)

## Function Documentation

MagickExport MagickBooleanType FloodfillPaintImage | ( | Image * | ,
|  | const | ChannelType,
|  | const DrawInfo * | ,
|  | const MagickPixelPacket * | ,
|  | const | long,
|  | const | long,
|  | const | MagickBooleanType |
| ) |  |  |

MagickExport Image* OilPaintImage | ( | const Image * | ,
|  | const | double,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport MagickBooleanType OpaquePaintImage | ( | Image * | ,
|  | const MagickPixelPacket * | ,
|  | const MagickPixelPacket * | ,
|  | const | MagickBooleanType |
| ) |  |  |

MagickExport MagickBooleanType OpaquePaintImageChannel | ( | Image * | ,
|  | const | ChannelType,
|  | const MagickPixelPacket * | ,
|  | const MagickPixelPacket * | ,
|  | const | MagickBooleanType |
| ) |  |  |

MagickExport MagickBooleanType TransparentPaintImage | ( | Image * | ,
|  | const MagickPixelPacket * | ,
|  | const | Quantum,
|  | const | MagickBooleanType |
| ) |  |  |